---
name: "banglacoin-dmg-signer"
suites:
- "trusty"
architectures:
- "amd64"
packages:
- "faketime"
remotes:
- "url": "https://github.com/banglacoin-project/banglacoin-detached-sigs.git"
  "dir": "signature"
files:
- "banglacoin-osx-unsigned.tar.gz"
script: |
  WRAP_DIR=$HOME/wrapped
  mkdir -p ${WRAP_DIR}
  export PATH=`pwd`:$PATH
  FAKETIME_PROGS="dmg genisoimage"

  # Create global faketime wrappers
  for prog in ${FAKETIME_PROGS}; do
    echo '#!/bin/bash' > ${WRAP_DIR}/${prog}
    echo "REAL=\`which -a ${prog} | grep -v ${WRAP_DIR}/${prog} | head -1\`" >> ${WRAP_DIR}/${prog}
    echo 'export LD_PRELOAD=/usr/lib/x86_64-linux-gnu/faketime/libfaketime.so.1' >> ${WRAP_DIR}/${prog}
    echo "export FAKETIME=\"${REFERENCE_DATETIME}\"" >> ${WRAP_DIR}/${prog}
    echo "\$REAL \$@" >> $WRAP_DIR/${prog}
    chmod +x ${WRAP_DIR}/${prog}
  done

  UNSIGNED=banglacoin-osx-unsigned.tar.gz
  SIGNED=banglacoin-osx-signed.dmg

  tar -xf ${UNSIGNED}
  OSX_VOLNAME="$(cat osx_volname)"
  ./detached-sig-apply.sh ${UNSIGNED} signature/osx
  ${WRAP_DIR}/genisoimage -no-cache-inodes -D -l -probe -V "${OSX_VOLNAME}" -no-pad -r -dir-mode 0755 -apple -o uncompressed.dmg signed-app
  ${WRAP_DIR}/dmg dmg uncompressed.dmg ${OUTDIR}/${SIGNED}
